Skip to main content
`Ctrl`+`K`

# DMSwarmGetType

Get particular flavor of `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetType(DM sw, DMSwarmType *stype)

Collective

## Input Parameter

- sw - the `DMSWARM`

## Output Parameter

- stype - the `DMSWARM` type (e.g. `DMSWARM_PIC`)

## See Also

`DM`, `DMSWARM`, `DMSwarmSetMigrateType()`, `DMSwarmSetCollectType()`, `DMSwarmType`, `DMSWARM_PIC`, `DMSWARM_BASIC`

## Level

advanced

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages